Download Attachments
/unified/emails/attachments/download
Query Parameters
Refer Specifying query parameters in Truto APIs
The URL to download the attachment
3 supported3 required
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barRequest Body
Refer Writing data using Unified APIs
Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.
Response Body
The content type of the attachment
2 supported
The time when the attachment was created
The email to which the attachment belongs
The unique identifier for an email
The attachment's name.
The URL to download the attachment
The unique identifier for the attachment
Raw data returned from the remote API call.
The file size in bytes
The time when the attachment was updated
curl -X POST 'https://api.truto.one/unified/emails/attachments/download?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json' \
-d '{
"remote_data": {}
}'const integratedAccountId = '<integrated_account_id>';
const body = {
"remote_data": {}
};
const response = await fetch(`https://api.truto.one/unified/emails/attachments/download?integrated_account_id=${integratedAccountId}`, {
method: 'POST',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
body: JSON.stringify(body),
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/emails/attachments/download"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
payload = {
"remote_data": {}
}
response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
// Custom method: download
const result = await truto.unifiedApi.download(
'emails',
'attachments',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
# Custom method: download
result = await truto_api.unified_api.download(
"emails",
"attachments",
{"integrated_account_id": "<integrated_account_id>"}
)
print(result)
asyncio.run(main())